Cyberduck Mountain Duck CLI

#2129 closed defect (worksforme)

Cyberduck crashes when up-loading files

Reported by: dsmith@… Owned by: dkocher
Priority: highest Milestone: 3.0.2
Component: core Version: 3.0.1
Severity: critical Keywords: crash crashing upload OS X mac
Cc: Architecture:
Platform:

Description

When I try to up-load a file to my website using Cyberduck it crashes about every third attempt. This started happening after the new Cyberduck release last week. If it keeps happening, I will need to start using another FTP client, because this release is not stable, and needs to be fixed asap.

Change History (12)

comment:1 follow-up: Changed on May 27, 2008 at 6:12:15 PM by rahji

I assume this is the same issue I'm having.. I allowed Cyberduck to update itself today - my version is now 3.0.1 (3999). Now, when I open a remote file for editing in Textmate, then try to save it, I notice that Cyberduck has already disappeared with no error. Here are the relevant messages from the console:

5/27/08 1:58:21 PM [0x0-0x137137].ch.sudo.cyberduck[2826] ObjCJava FATAL: 
5/27/08 1:58:21 PM [0x0-0x137137].ch.sudo.cyberduck[2826] jobjc_lookupObjCObject(): returning garbage collected java ref for objc object of class ch/cyberduck/core/sftp/SFTPPath 
5/27/08 1:58:21 PM [0x0-0x137137].ch.sudo.cyberduck[2826] ObjCJava Exit 
5/27/08 1:58:21 PM com.apple.launchd[74] ([0x0-0x137137].ch.sudo.cyberduck[2826]) Exited with exit code: 255 
5/27/08 1:58:31 PM TextMate[2239] *** error sending apple event -600 (<NSAppleEventDescriptor: 'R*ch'\'FCls'{ '----':'fsrf'("/private/var/folders/bL/bLYjkjRzEgqTQ9kK+k+9EU+++TI/-Tmp-/usr/home/hyannis/public_html/parts/catalog/billinginformation2.html") }>) 
5/27/08 2:03:49 PM [0x0-0x194194].ch.sudo.cyberduck[4210] ObjCJava FATAL: 
5/27/08 2:03:49 PM [0x0-0x194194].ch.sudo.cyberduck[4210] jobjc_lookupObjCObject(): returning garbage collected java ref for objc object of class ch/cyberduck/core/sftp/SFTPPath 
5/27/08 2:03:49 PM [0x0-0x194194].ch.sudo.cyberduck[4210] ObjCJava Exit 
5/27/08 2:03:49 PM com.apple.launchd[74] ([0x0-0x194194].ch.sudo.cyberduck[4210]) Exited with exit code: 255 
5/27/08 2:05:41 PM TextMate[2239] *** error sending apple event -600 (<NSAppleEventDescriptor: 'R*ch'\'FMod'{ '----':'fsrf'("/private/var/folders/bL/bLYjkjRzEgqTQ9kK+k+9EU+++TI/-Tmp-/usr/home/hyannis/public_html/parts/catalog/includes/checkout.inc") }>) 
5/27/08 2:05:48 PM TextMate[2239] *** error sending apple event -600 (<NSAppleEventDescriptor: 'R*ch'\'FCls'{ '----':'fsrf'("/private/var/folders/bL/bLYjkjRzEgqTQ9kK+k+9EU+++TI/-Tmp-/usr/home/hyannis/public_html/parts/catalog/includes/checkout.inc") }>) 
5/27/08 2:05:52 PM TextMate[2239] *** error sending apple event -600 (<NSAppleEventDescriptor: 'R*ch'\'FCls'{ '----':'fsrf'("/private/var/folders/bL/bLYjkjRzEgqTQ9kK+k+9EU+++TI/-Tmp-/usr/home/hyannis/public_html/parts/catalog/billinginformation2-1.html") }>) 

comment:2 in reply to: ↑ 1 Changed on May 27, 2008 at 9:08:56 PM by dkocher

Replying to rahji:

Please try the latest nightly build from http://update.cyberduck.ch/nightly.

comment:3 Changed on May 29, 2008 at 2:10:59 PM by billbixby@…

This is rahji: I downloaded build 4015 just now and unfortunately I had the same problem within 20 minutes.

comment:4 Changed on Jun 5, 2008 at 2:21:08 PM by billbixby@…

This doesn't appear to be limited to "when up-loading files". I am now at build 4022 and I still have the problem with Cyberduck disappearing with no error messages. The latest time, I switched to the application and double-clicked a file (to edit it) and the same problem happened. Here's what was in the Console:

6/5/08 10:17:43 AM [0x0-0x71071].ch.sudo.cyberduck[731] ObjCJava FATAL: 
6/5/08 10:17:43 AM [0x0-0x71071].ch.sudo.cyberduck[731] jobjc_lookupObjCObject(): returning garbage collected java ref for objc object of class ch/cyberduck/core/sftp/SFTPPath 
6/5/08 10:17:43 AM [0x0-0x71071].ch.sudo.cyberduck[731] ObjCJava Exit 

comment:5 Changed on Jun 9, 2008 at 9:15:23 AM by mille

Same Problem here. Version 3.0.1 (3999)

Process:         Cyberduck [199]
Path:            /Applications/-software/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         3.0.1 (3999) (3999)
Code Type:       PPC (Native)
Parent Process:  launchd [65]

Date/Time:       2008-06-09 11:06:07.145 +0200
OS Version:      Mac OS X 10.5.2 (9C7010)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000c27ad8d7
Crashed Thread:  0

Application Specific Information:

Java information:
 Version: Java HotSpot(TM) Client VM (1.5.0_13-119 mixed mode, sharing)
 Virtual Machine version: Java HotSpot(TM) Client VM (1.5.0_13-119) for macosx-ppc, built on Sep 28 2007 23:55:48 by root with gcc 4.0.1 (Apple Inc. build 5465)
 Exception type: Bus Error (0xa) at pc=0x53d09e60

Current thread (0x01a012d0):  JavaThread "main" [_thread_in_native, id=-1601109900]
Stack: [0xbf800000,0xc0000000)
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  com.apple.cocoa.application.NSOutlineView.itemAtRow(I)Ljava/lang/Object;+0
j  ch.cyberduck.ui.cocoa.CDBrowserController.pathAtRow(I)Lch/cyberduck/core/Path;+73
j  ch.cyberduck.ui.cocoa.CDBrowserController.getSelectedPaths()Lch/cyberduck/core/Collection;+37
j  ch.cyberduck.ui.cocoa.CDBrowserController.getSelectedPath()Lch/cyberduck/core/Path;+1
j  ch.cyberduck.ui.cocoa.CDFileController.getWorkdir()Lch/cyberduck/core/Path;+23
j  ch.cyberduck.ui.cocoa.CDFileController.validateInput()Z+32
j  ch.cyberduck.ui.cocoa.CDSheetController.closeSheet(Lcom/apple/cocoa/application/NSButton;)V+42
v  ~StubRoutines::call_stub
j  com.apple.cocoa.application.NSApplication.sendEvent(Lcom/apple/cocoa/application/NSEvent;)V+0
J  ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(Lcom/apple/cocoa/application/NSEvent;)V
v  ~StubRoutines::call_stub
Java Threads: ( => current thread )
  0x01a1ead0 JavaThread "Thread-12" [_thread_in_native, id=-259366912]
  0x01a19320 JavaThread "Thread-7" [_thread_in_native, id=9333248]
  0x01a180b0 JavaThread "Thread-4" [_thread_in_native, id=9317888]
  0x01a17420 JavaThread "Thread-3" [_thread_in_native, id=9176064]
  0x01a177e0 JavaThread "Thread-2" [_thread_in_native, id=-262615040]
  0x01a0d2f0 JavaThread "Thread-0" daemon [_thread_in_native, id=-263680000]
  0x01a0a740 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=8517632]
  0x01a09c90 JavaThread "CompilerThread0" daemon [_thread_blocked, id=8514048]
  0x01a09840 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=8510464]
  0x01a09080 JavaThread "Finalizer" daemon [_thread_blocked, id=8503296]
  0x01a08cb0 JavaThread "Reference Handler" daemon [_thread_blocked, id=8497152]
=>0x01a012d0 JavaThread "main" [_thread_in_native, id=-1601109900]
Other Threads:
  0x01a08430 VMThread [id=8493568]
  0x01a0be70 WatcherThread [id=8521216]

VM state:not at safepoint (normal execution)
VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 576K, used 337K [0x25580000, 0x25620000, 0x25c80000)
  eden space 512K,  62% used [0x25580000, 0x255d0510, 0x25600000)
  from space 64K,  25% used [0x25600000, 0x25604028, 0x25610000)
  to   space 64K,   0% used [0x25610000, 0x25610000, 0x25620000)
 tenured generation   total 3232K, used 1955K [0x25c80000, 0x25fa8000, 0x29580000)
   the space 3232K,  60% used [0x25c80000, 0x25e68cf0, 0x25e68e00, 0x25fa8000)
 compacting perm gen  total 8192K, used 7498K [0x29580000, 0x29d80000, 0x2d580000)
   the space 8192K,  91% used [0x29580000, 0x29cd2af0, 0x29cd2c00, 0x29d80000)
    ro space 8192K,  63% used [0x2d580000, 0x2da96c48, 0x2da96e00, 0x2dd80000)
    rw space 12288K,  43% used [0x2dd80000, 0x2e2af088, 0x2e2af200, 0x2e980000)

Virtual Machine arguments:
 Java command: <unknown>
 launcher type: generic


Thread 0 Crashed:
0   libObjCJava.A.dylib           	0x53d09e60 NSIdToJavaHandle + 32
1   com.apple.AppKit              	0x94d218c4 -[NSOutlineView itemAtRow:] + 104
2   libAppKitJava.B.dylib         	0x50cb09c4 Java_com_apple_cocoa_application_NSOutlineView_itemAtRow + 240
3   ???                           	0x041f12a0 0 + 69145248
4   ???                           	0x041ea9bc 0 + 69118396
5   ???                           	0x041ea9bc 0 + 69118396
6   ???                           	0x041ea9bc 0 + 69118396
7   ???                           	0x041ea9bc 0 + 69118396
8   ???                           	0x041ea9bc 0 + 69118396
9   ???                           	0x041ea92c 0 + 69118252
10  ???                           	0x041e8160 0 + 69108064
11  libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
12  libjvm.dylib                  	0x004c3ff4 0x3c9000 + 1028084
13  libjvm.dylib                  	0x00454768 0x3c9000 + 571240
14  libjvm.dylib                  	0x005d145c JNI_CreateJavaVM_Impl + 112108
15  libObjCJava.A.dylib           	0x53d07a20 __JAVAMethodInvoke + 172
16  libObjCJava.A.dylib           	0x53d07d18 JAVAMethodInvokeVoid + 48
17  libObjCJava.A.dylib           	0x53d0ecb0 _NSInvokeJavaMethod + 1144
18  libObjCJava.A.dylib           	0x53d0a8cc _BRIDGEMethodImp + 176
19  com.apple.AppKit              	0x94d5b3b8 -[NSApplication sendAction:to:from:] + 104
20  com.apple.AppKit              	0x94d5b2ec -[NSControl sendAction:to:] + 92
21  com.apple.AppKit              	0x94e1c1ec -[NSButtonCell performClick:] + 640
22  com.apple.AppKit              	0x94df5644 -[NSButton performKeyEquivalent:] + 332
23  com.apple.AppKit              	0x94df54d8 -[NSControl _performKeyEquivalent:conditionally:] + 140
24  com.apple.AppKit              	0x94df539c -[NSView performKeyEquivalent:] + 352
25  com.apple.AppKit              	0x94df539c -[NSView performKeyEquivalent:] + 352
26  com.apple.AppKit              	0x94df5118 -[NSWindow performKeyEquivalent:] + 248
27  com.apple.AppKit              	0x94de7c24 -[NSTextField textDidEndEditing:] + 680
28  com.apple.Foundation          	0x95c65df4 _nsnote_callback + 196
29  com.apple.CoreFoundation      	0x95b8295c _CFXNotificationPostNotification + 920
30  com.apple.Foundation          	0x95c636d8 -[NSNotificationCenter postNotificationName:object:userInfo:] + 88
31  com.apple.AppKit              	0x94de6ef4 -[NSTextView(NSPrivate) _giveUpFirstResponder:] + 508
32  com.apple.AppKit              	0x94de6ce0 -[NSTextView(NSKeyBindingCommands) insertNewline:] + 520
33  com.apple.AppKit              	0x94de6920 -[NSTextView doCommandBySelector:] + 216
34  com.apple.AppKit              	0x94ddb1cc -[NSKeyBindingManager(NSKeyBindingManager_MultiClients) interpretEventAsCommand:forClient:] + 1800
35  com.apple.AppKit              	0x94dd9fc4 -[NSTSMInputContext interpretKeyEvents:] + 1132
36  com.apple.AppKit              	0x94dd9b14 -[NSView interpretKeyEvents:] + 60
37  com.apple.AppKit              	0x94dd9a28 -[NSTextView keyDown:] + 680
38  com.apple.AppKit              	0x94d58ea0 -[NSWindow sendEvent:] + 7428
39  com.apple.AppKit              	0x94d2b798 -[NSApplication sendEvent:] + 3136
40  libAppKitJava.B.dylib         	0x50c0a6ac Java_com_apple_cocoa_application_NSApplication_sendEvent + 252
41  ???                           	0x041f12a0 0 + 69145248
42  ???                           	0x0437eb68 0 + 70773608
43  ???                           	0x041e8160 0 + 69108064
44  libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
45  libjvm.dylib                  	0x004c3ff4 0x3c9000 + 1028084
46  libjvm.dylib                  	0x00454768 0x3c9000 + 571240
47  libjvm.dylib                  	0x005d145c JNI_CreateJavaVM_Impl + 112108
48  libObjCJava.A.dylib           	0x53d07a20 __JAVAMethodInvoke + 172
49  libObjCJava.A.dylib           	0x53d07d18 JAVAMethodInvokeVoid + 48
50  libObjCJava.A.dylib           	0x53d0ecb0 _NSInvokeJavaMethod + 1144
51  libObjCJava.A.dylib           	0x53d0a8cc _BRIDGEMethodImp + 176
52  com.apple.AppKit              	0x94c98a68 -[NSApplication run] + 776
53  com.apple.AppKit              	0x94c69444 NSApplicationMain + 440
54  ch.sudo.cyberduck             	0x000024f0 _start + 744
55  ch.sudo.cyberduck             	0x00002200 start + 44

Thread 1:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   libSystem.B.dylib             	0x94615134 mach_msg_server + 500
3   libjvm.dylib                  	0x003d67e0 0x3c9000 + 55264
4   libjvm.dylib                  	0x003d6500 0x3c9000 + 54528
5   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
6   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 2:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   libjvm.dylib                  	0x0040cb94 0x3c9000 + 277396
3   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
4   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 3:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libjvm.dylib                  	0x00472e7c 0x3c9000 + 695932
2   libjvm.dylib                  	0x006077e8 JVM_MonitorWait + 664
3   ???                           	0x041eaaac 0 + 69118636
4   ???                           	0x041e8160 0 + 69108064
5   libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
6   libjvm.dylib                  	0x0040d6d0 0x3c9000 + 280272
7   libjvm.dylib                  	0x0040d5bc 0x3c9000 + 279996
8   libjvm.dylib                  	0x0040d54c 0x3c9000 + 279884
9   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
10  libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
11  libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 4:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   libjvm.dylib                  	0x006077e8 JVM_MonitorWait + 664
3   ???                           	0x041ea9bc 0 + 69118396
4   ???                           	0x041e8160 0 + 69108064
5   libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
6   libjvm.dylib                  	0x0040d6d0 0x3c9000 + 280272
7   libjvm.dylib                  	0x0040d5bc 0x3c9000 + 279996
8   libjvm.dylib                  	0x0040d54c 0x3c9000 + 279884
9   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
10  libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
11  libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 5:
0   libSystem.B.dylib             	0x9458b9c8 semaphore_wait_trap + 8
1   libjvm.dylib                  	0x0040e820 0x3c9000 + 284704
2   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
3   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
4   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 6:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libjvm.dylib                  	0x00564de4 0x3c9000 + 1687012
2   libjvm.dylib                  	0x0040ee34 0x3c9000 + 286260
3   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
4   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
5   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 7:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   libjvm.dylib                  	0x0040f2c0 0x3c9000 + 287424
3   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
4   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
5   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 8:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   libjvm.dylib                  	0x0040f65c 0x3c9000 + 288348
3   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
4   libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 9:
0   libSystem.B.dylib             	0x945f0004 select$DARWIN_EXTSN + 12
1   libObjCJava.A.dylib           	0x53d164f0 thread_func + 572

Thread 10:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   com.apple.CoreFoundation      	0x95ba0618 CFRunLoopRunSpecific + 1828
3   com.apple.Foundation          	0x95cbd344 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 280
4   com.apple.Foundation          	0x95c664f4 __NSThread__main__ + 1004
5   libSystem.B.dylib             	0x945cdb98 _pthread_start + 316

Thread 11:
0   libSystem.B.dylib             	0x945f0004 select$DARWIN_EXTSN + 12
1   com.apple.CoreFoundation      	0x95baba68 __CFSocketManager + 764

Thread 12:
0   libSystem.B.dylib             	0x9458b978 mach_msg_trap + 8
1   libSystem.B.dylib             	0x9459289c mach_msg + 56
2   com.apple.CoreFoundation      	0x95ba0618 CFRunLoopRunSpecific + 1828
3   com.apple.CFNetwork           	0x90702b5c CFURLCacheWorkerThread(void*) + 292
4   libSystem.B.dylib             	0x945cdb98 _pthread_start + 316

Thread 13:
0   libSystem.B.dylib             	0x945f0004 select$DARWIN_EXTSN + 12
1   libjdns_sd.jnilib             	0x06291698 Java_com_apple_dnssd_AppleService_BlockForData + 324
2   ???                           	0x041eae0c 0 + 69119500
3   ???                           	0x041e8160 0 + 69108064
4   libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
5   libjvm.dylib                  	0x0040d6d0 0x3c9000 + 280272
6   libjvm.dylib                  	0x0040d5bc 0x3c9000 + 279996
7   libjvm.dylib                  	0x0040d54c 0x3c9000 + 279884
8   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
9   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
10  libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 14:
0   libSystem.B.dylib             	0x945f0004 select$DARWIN_EXTSN + 12
1   libjdns_sd.jnilib             	0x06291698 Java_com_apple_dnssd_AppleService_BlockForData + 324
2   ???                           	0x041eae0c 0 + 69119500
3   ???                           	0x041e8160 0 + 69108064
4   libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
5   libjvm.dylib                  	0x0040d6d0 0x3c9000 + 280272
6   libjvm.dylib                  	0x0040d5bc 0x3c9000 + 279996
7   libjvm.dylib                  	0x0040d54c 0x3c9000 + 279884
8   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
9   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
10  libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 15:
0   libSystem.B.dylib             	0x945f0004 select$DARWIN_EXTSN + 12
1   libjdns_sd.jnilib             	0x06291698 Java_com_apple_dnssd_AppleService_BlockForData + 324
2   ???                           	0x041eae0c 0 + 69119500
3   ???                           	0x041e8160 0 + 69108064
4   libjvm.dylib                  	0x004c4284 0x3c9000 + 1028740
5   libjvm.dylib                  	0x0040d6d0 0x3c9000 + 280272
6   libjvm.dylib                  	0x0040d5bc 0x3c9000 + 279996
7   libjvm.dylib                  	0x0040d54c 0x3c9000 + 279884
8   libjvm.dylib                  	0x0040d408 0x3c9000 + 279560
9   libjvm.dylib                  	0x006978e0 JVM_RaiseSignal + 481824
10  libSystem.B.dylib             	0x9461d3a8 _pthread_body + 36

Thread 16:
0   libSystem.B.dylib             	0x94592388 __semwait_signal + 8
1   libSystem.B.dylib             	0x9459219c nanosleep$UNIX2003 + 188
2   libSystem.B.dylib             	0x945920cc usleep$UNIX2003 + 68
3   com.apple.AppKit              	0x94cfb018 -[NSUIHeartBeat _heartBeatThread:] + 1840
4   com.apple.Foundation          	0x95c664f4 __NSThread__main__ + 1004
5   libSystem.B.dylib             	0x945cdb98 _pthread_start + 316

Thread 0 crashed with PPC Thread State 32:
  srr0: 0x53d09e60  srr1: 0x0200f030   dar: 0xc27ad8d7 dsisr: 0x40000000
    r0: 0x00000000    r1: 0xbfffbab0    r2: 0xc27ad8c7    r3: 0x09ec8850
    r4: 0x00000000    r5: 0xffffffff    r6: 0xffffffff    r7: 0x000000ff
    r8: 0xbfffbbb8    r9: 0x09eab340   r10: 0xa0b16678   r11: 0x50d770cc
   r12: 0x53d09e40   r13: 0x01a012d0   r14: 0x0426ca84   r15: 0x50cb08d4
   r16: 0xbfffbed0   r17: 0x29b80710   r18: 0xbfffbf24   r19: 0xbfffbeb8
   r20: 0x29bdcef0   r21: 0x29b80710   r22: 0x000000b6   r23: 0x0000000a
   r24: 0xbfffc54c   r25: 0xbfffc350   r26: 0xbfffc460   r27: 0x0200201c
   r28: 0xbfffc548   r29: 0xbfffbb48   r30: 0x09ec8850   r31: 0x50cb08e0
    cr: 0x44222444   xer: 0x00000000    lr: 0x50cb09c8   ctr: 0x53d09e40
vrsave: 0x00000000

Binary Images:
    0x1000 -     0xdfff +ch.sudo.cyberduck 3.0.1 (3999) (3999) <30732991db00c8612b176014fea3e845> /Applications/-software/Cyberduck.app/Contents/MacOS/Cyberduck
   0x16000 -    0x22fef +org.andymatuschak.Sparkle ??? (1.1) /Applications/-software/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
   0x2e000 -    0x4fff1  libmx.A.dylib ??? (???) /usr/lib/libmx.A.dylib
   0x74000 -    0x7bfff  com.apple.JavaVM 12.0.2 (12.0.2) <7a7d795d9c93b302a8a2b838bcb6a914> /System/Library/Frameworks/JavaVM.framework/JavaVM
   0x8e000 -    0x95ff0  libverify.dylib ??? (???) <a6b0e78edb9f54007c092f3063f51811> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
   0x9a000 -    0xb7fff  libjava.jnilib ??? (???) <752d32182502fb192cee65d77131d2ab> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
   0xc6000 -    0xd2fff  libzip.jnilib ??? (???) <440002c90c10019da69d134857522d1f> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
  0x3c9000 -   0x72bfff  libjvm.dylib ??? (???) <fa3f5f95dcfb4128b0a168dfda315b9a> /System/Library/Frameworks/JavaVM.framework/Versions/1.5/Libraries/libjvm.dylib
 0x1fdd000 -  0x1fdeffc +libGrowl.dylib ??? (???) <d89ef9c179c5bdc5065b18becdc5c771> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
 0x1fe3000 -  0x1fe3ffe +libQuickLook.dylib ??? (???) <084ba233849538432b48d27aded65eb2> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libQuickLook.dylib
 0x1ff2000 -  0x1ff4ffd +libODBEdit.dylib ??? (???) <eeaf24a9ff3a2a7442b279c72633bbf5> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib
 0x61e8000 -  0x6255fff  libFoundationJava.B.dylib ??? (???) <1b0f45dd367b575bb573bfee068374ee> /usr/lib/java/libFoundationJava.B.dylib
 0x6281000 -  0x6287fff +libLocal.dylib ??? (???) <2d12920d5637de32d05e37a34478f7d2> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libLocal.dylib
 0x6290000 -  0x6293fff  libjdns_sd.jnilib ??? (???) <a660fa9f2a2f93eccf59c72906d573b4> /usr/lib/java/libjdns_sd.jnilib
 0x62b9000 -  0x62baffd +libProxy.dylib ??? (???) <c157bb109328c6675301e17117192c97> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libProxy.dylib
 0x62e9000 -  0x62f5fff  libnet.jnilib ??? (???) <edef147cc9842a75520df4faae4f4350> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libnet.jnilib
 0x9353000 -  0x9422ff3  com.apple.RawCamera.bundle 2.0.3 (2.0.3) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0x9a86000 -  0x9a8cfff  libCGXCoreImage.A.dylib ??? (???) <4e1cd099b993b5ad9637cd0435a3a182> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
 0x9c11000 -  0x9c13ffe +libKeychain.dylib ??? (???) <319f6c66d809b4f7726a5372d248a6ba> /Applications/-software/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib
 0x9d66000 -  0x9da9ff7 +Keychain.framework Keychain version 0.0.1d1 (???) /Applications/-software/Cyberduck.app/Contents/Frameworks/Keychain.framework/Versions/A/Keychain
0x50c00000 - 0x50d76fff  libAppKitJava.B.dylib ??? (???) <60c5a0f6fb58d8d4c6a801ed9241dd28> /usr/lib/java/libAppKitJava.B.dylib
0x53d00000 - 0x53d1cfff  libObjCJava.A.dylib ??? (???) <d053c170a13189b3a88ecd0af4f4bfe4> /usr/lib/java/libObjCJava.A.dylib
0x8fe00000 - 0x8fe30b23  dyld 96.2 (???) <39109181acbf30fed542e6c9abcf1798> /usr/lib/dyld
0x90033000 - 0x90037ffe  libGIF.dylib ??? (???) <d6e2a570359313a39c6783c2ecfee608> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x90077000 - 0x90378ff7  com.apple.CoreServices.CarbonCore 785.8 (785.8) <d56076bc0fe62dd58002bdd581a3f3c0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90379000 - 0x906b2ff3  com.apple.HIToolbox 1.5.2 (???) <687d476c6a3809efaba68bc11dc894c1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x906b3000 - 0x906bafff  com.apple.CommonPanels 1.2.4 (85) <0d1256175c5512c911ede094d767acfe> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x906bb000 - 0x906f7fff  libRIP.A.dylib ??? (???) <7bc908a7317a00fe3c659571c50cdd46> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x906f8000 - 0x90772ffd  com.apple.CFNetwork 221.5 (221.5) <ef2672379d6fcb1470dc9361ce68e7f7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90806000 - 0x90866fff  com.apple.CoreText 2.0.1 (???) <2ecbcac842c4864bdd3de0a68e4d2f2c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90a08000 - 0x90a13fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <ae3dc890a43a9269388301f6b59d3091> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x90a14000 - 0x90bf7ffb  com.apple.security 5.0.2 (33001) <5e841904ba22d381672679180d4b0f4a> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x90bf8000 - 0x90c35ffe  com.apple.securityfoundation 3.0 (32989) <ad2dd4c797fa2ba4c656f82936f9fb83> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x90d71000 - 0x90dfbfff  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x90dfc000 - 0x90dfcfff  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x90e63000 - 0x90eadfff  com.apple.QuickLookUIFramework 1.1 (170.2) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x90eae000 - 0x90f47fc3  libvDSP.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x913a0000 - 0x9145afff  libcrypto.0.9.7.dylib ??? (???) <4ea3d7e9a1c28ac7b17ed80873fe6598> /usr/lib/libcrypto.0.9.7.dylib
0x9145b000 - 0x9145cff8  com.apple.ApplicationServices 34 (34) <6aa5ee485bb2e656531b3505932b845f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x9145d000 - 0x91483fff  libcups.2.dylib ??? (???) <d60807e6cfdc208c2e5520f7acb473f6> /usr/lib/libcups.2.dylib
0x91484000 - 0x91494fff  libsasl2.2.dylib ??? (???) <18935d5e775962f4728b91189b092d45> /usr/lib/libsasl2.2.dylib
0x91495000 - 0x914b0ffb  libPng.dylib ??? (???) <c51ec88c87a3f0a646471165e16acd43> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x914f3000 - 0x9154fffb  com.apple.HIServices 1.7.0 (???) <48d200891cc9dd795ee547d526c6a45b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91550000 - 0x91591ffb  libTIFF.dylib ??? (???) <0d0a3107d26786c3708e6a511d5acec9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91592000 - 0x915b9fff  libxslt.1.dylib ??? (???) <3700d04090629deddb436aa2d516c56d> /usr/lib/libxslt.1.dylib
0x915ba000 - 0x915f2fff  com.apple.SystemConfiguration 1.9.1 (1.9.1) <50bc5b4d50a2e1f7743e729381467537> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x915f3000 - 0x91602fff  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <651e2b4d7e19d43f520829f76216f2c2> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x92454000 - 0x92516fff  com.apple.WebKit 5525.13 (5525.13) <f1df0c201af5b2002f8de2409ebdbb39> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x92517000 - 0x92548fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x925ae000 - 0x925f5fff  com.apple.NavigationServices 3.5.1 (161) <b245f17b2b2902e1f9eeaaa6773f8126> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x925f7000 - 0x9273fff3  libicucore.A.dylib ??? (???) <250daed2fb2e6bf114480e2e4da0728b> /usr/lib/libicucore.A.dylib
0x92740000 - 0x92758ffb  com.apple.DictionaryServices 1.0.0 (1.0.0) <fe37191e732eeb66189185cd000a210b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x92759000 - 0x92779ff7  libJPEG.dylib ??? (???) <92341083256fbcd28888a179ebf941ef> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9277a000 - 0x9277cffd  libRadiance.dylib ??? (???) <3d70fcb7557347829c96c9753074b3f1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x9277d000 - 0x927fefff  com.apple.print.framework.PrintCore 5.5.2 (245.1) <df7cf3aa9f046c543b9e27f08860b692> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x927ff000 - 0x92b5cff2  com.apple.QuartzCore 1.5.1 (1.5.1) <f364682e96d58c5849cad532f6bf2f91> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92b5d000 - 0x92c2ffff  com.apple.CoreServices.OSServices 224.4 (224.4) <1972b141810adcc01c30c31fcbab5af3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x92c30000 - 0x92c59ffb  com.apple.shortcut 1 (1.0) <032016a45147a2f3f191ce70187587c9> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92c5a000 - 0x92cf4ff7  com.apple.ApplicationServices.ATS 3.2 (???) <4258842969dc8d4fa37e01a80aa3d409> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x92cf5000 - 0x92d00ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x92d01000 - 0x92de8ff7  com.apple.JavaScriptCore 5525.13 (5525.13) <69e777d18dea5320096554dca986ce4a> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x92de9000 - 0x92df7fff  libz.1.dylib ??? (???) <1a70dd3594a8c5ad39d785af5da23237> /usr/lib/libz.1.dylib
0x92df8000 - 0x92f16ff7  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x92f17000 - 0x93060ffb  com.apple.ImageIO.framework 2.0.1 (2.0.1) <ea98d04f3ecfec65edfafe3796d6d442> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9306c000 - 0x9313bfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9313c000 - 0x9318bff7  libGLImage.dylib ??? (???) <1b1db85f633ad1eed75cd6645ec99a5c> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9318c000 - 0x9386dff3  com.apple.WebCore 5525.13 (5525.13) <737bfd9a30be77ecb1e6cf339727f13a> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9386e000 - 0x938f3fff  libsqlite3.0.dylib ??? (???) <f2a33fe2663eab9c7f4806d2cf05b4ee> /usr/lib/libsqlite3.0.dylib
0x938fa000 - 0x939aafff  com.apple.QD 3.11.52 (???) <f33191c288897dd4d2e2c4b87bcc09b4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x939ab000 - 0x939aefff  com.apple.help 1.1 (36) <7106d6e074a3b9835ebf1e6cc6c822ce> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x939af000 - 0x939b7fff  libbsm.dylib ??? (???) <c1fca3cbe3b1c21e9b31bc89b920f34c> /usr/lib/libbsm.dylib
0x939b8000 - 0x939edfff  com.apple.AE 402.2 (402.2) <0b15a08da8ec38b74fb9dd6e579ed25f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x939ee000 - 0x939f7fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <a389b4c2badce39540f24402f7df35e7> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x93b3c000 - 0x93b3fffb  com.apple.securityhi 3.0 (30817) <e50c0cac9048f8923b95797753d50b5c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93b40000 - 0x93b8bffb  com.apple.Metadata 10.5.2 (398.7) <f0c3c28205af67a29a2ed728ee297648> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x93c2d000 - 0x93c51ffb  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x93c52000 - 0x93cd9ffb  com.apple.audio.CoreAudio 3.1.0 (3.1) <880a5a35ef1c5158271ee4b305b35626> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x93cda000 - 0x93ce1ffb  com.apple.print.framework.Print 218.0.2 (220.1) <c7e0e618d5867ae227403ae385aacd82> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93ce2000 - 0x93d0dff7  libauto.dylib ??? (???) <b3a3a4b0f09653bd6d58f1847922b533> /usr/lib/libauto.dylib
0x93d0e000 - 0x93d96fff  com.apple.ink.framework 101.3 (86) <66a99ad6bc695390a66dd24789e23dcc> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x93d97000 - 0x941ccffa  libGLProgrammability.dylib ??? (???) <6d71574167a838789ab0ee27f92af626> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x94248000 - 0x9430dffb  com.apple.CoreData 100.1 (186) <9cf54cb19b18e53ee22edb7ababa6e6c> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x9430e000 - 0x94343ffb  com.apple.LDAPFramework 1.4.3 (106) <d9a3a16b2d468683b68f714d11196d7b> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x94344000 - 0x9442dfff  libxml2.2.dylib ??? (???) <271fc4d25f101b60a8e7514d1c32a91c> /usr/lib/libxml2.2.dylib
0x9442e000 - 0x94542ffa  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x94543000 - 0x94589ff9  com.apple.securityinterface 3.0 (32532) <82a438eff282dd1dc1f803dfd91b5f38> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x9458a000 - 0x94723fe3  libSystem.B.dylib ??? (???) <754231f5e52ed8418f89f1f3369caf58> /usr/lib/libSystem.B.dylib
0x94724000 - 0x94737fff  com.apple.LangAnalysis 1.6.4 (1.6.4) <c184bb5b2859e82c5740a6fdb1e3d0bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x94738000 - 0x94756fff  com.apple.QuickLookFramework 1.1 (170.2) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x94757000 - 0x94776fff  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x94777000 - 0x94827fff  edu.mit.Kerberos 6.0.12 (6.0.12) <9a85ee3fd8fb95d4537725b035297fe7> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x94828000 - 0x94833ffb  libgcc_s.1.dylib ??? (???) <ea47fd375407f162c76d14d64ba246cd> /usr/lib/libgcc_s.1.dylib
0x94834000 - 0x9484bffb  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9484c000 - 0x9485fffb  com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <7c299626d6167de473e85327699cdb9c> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x94860000 - 0x9487ffff  libresolv.9.dylib ??? (???) <181fb3defd2942f00201507cfa4efdb5> /usr/lib/libresolv.9.dylib
0x94880000 - 0x9488cff3  com.apple.audio.SoundManager 3.9.2 (3.9.2) <79588842bcaf6c747a95b2120304397a> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x948bf000 - 0x94be8fe7  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x94be9000 - 0x94c02fff  com.apple.CoreVideo 1.5.0 (1.5.0) <aebfdc3d092810ff35a8e92b8f966010> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x94c63000 - 0x953d8fff  com.apple.AppKit 6.5.2 (949.26) <8d6ce96921254cbc787b9fe0526bef42> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x953d9000 - 0x953d9fff  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x953da000 - 0x95994fff  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x95995000 - 0x95a28fff  com.apple.framework.IOKit 1.5.1 (???) <590e7f24d3cbfc072c8659173d2141e3> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x95a3a000 - 0x95a90fff  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x95a91000 - 0x95a9eff3  com.apple.opengl 1.5.6 (1.5.6) <4ec145eba41b94cff1322a041dfdb437> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x95a9f000 - 0x95abaff3  com.apple.DirectoryService.Framework 3.5.1 (3.5.1) <0bd4cfb69d5de8ecff3c61e32837fdf0> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x95abb000 - 0x95b22ffb  libstdc++.6.dylib ??? (???) <a4e9b10268b3ffac26d0296499b24e8e> /usr/lib/libstdc++.6.dylib
0x95b37000 - 0x95c5cffb  com.apple.CoreFoundation 6.5.1 (476.10) <e71eaa358523eae0e45280bca8a90e98> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x95c5d000 - 0x95ea1ffb  com.apple.Foundation 6.5.4 (677.15) <0cb0eec2a47f915404236f64abf7c384> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x95ea2000 - 0x95ea2ff8  com.apple.Cocoa 6.5 (???) <e9a4f1c636d00893db0494c4040176ba> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x95ea3000 - 0x95ea3ffa  com.apple.CoreServices 32 (32) <42b6dda539f7411606187335d9eae0c5> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x95ea4000 - 0x95f06ffb  com.apple.htmlrendering 68 (1.1.3) <e852db1c007de975fae2f0c2769c88ef> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x95fd9000 - 0x95fe1ffb  libCGATS.A.dylib ??? (???) <f08869e380cd4b55e14714fe723cbc66> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x95fe2000 - 0x95feffff  libCSync.A.dylib ??? (???) <e7073e93982e6872ed72e5873b791462> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9600c000 - 0x9609bffb  com.apple.DesktopServices 1.4.5 (1.4.5) <b6bd34467a57cc899612152caac2a789> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9609c000 - 0x9609cffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9609d000 - 0x96133ff3  com.apple.LaunchServices 286.5 (286.5) <1a1a73b91deacb172d15745ec73e5959> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x96211000 - 0x96211fff  com.apple.Carbon 136 (136) <6a6a209ec9179368db7ead8382b8ee63> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x96212000 - 0x9628dfff  com.apple.SearchKit 1.2.0 (1.2.0) <1b448fbae02460eae76ee1c6883f45d6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9628e000 - 0x963f9ff9  com.apple.AddressBook.framework 4.1 (687.1) <8ba1dd324b1e390989a1d0c952d95cd7> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x965ce000 - 0x96b42ff7  com.apple.CoreGraphics 1.351.21 (???) <44bbf8c3a4e8bc97e8b3e35737001742> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x96b43000 - 0x96b49ffb  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x96b4a000 - 0x96b4bfff  libffi.dylib ??? (???) <11b77dbce4aa0f0b66d40014230abd1d> /usr/lib/libffi.dylib
0x96b4c000 - 0x96b76ff7  libssl.0.9.7.dylib ??? (???) <5dac2e94552ad76696c35bd6886f5a92> /usr/lib/libssl.0.9.7.dylib
0x96b77000 - 0x96b7cff6  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x96b7d000 - 0x96c60feb  libobjc.A.dylib ??? (???) <23a407d7dac6090562827e97bac3cb86> /usr/lib/libobjc.A.dylib
0x96c61000 - 0x96c7cffb  com.apple.openscripting 1.2.6 (???) <12270fbb14905644f78975f227328a98> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x96ccb000 - 0x96ceafff  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0xc0000000 - 0xc0009fcf +com.growl.growlframework 0.8 (2971M) /Applications/-software/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
0xfffec000 - 0xfffeffff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff8000 - 0xffff9703  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib


comment:6 Changed on Jun 10, 2008 at 9:37:11 PM by billbixby@…

I hope this helps: I'm pretty sure there are two different bugs being described in this report.

1) Cyberduck closes unexpectedly with no error messages or anything - this seems to be related to uploading (and maybe downloading) files

2) Cyberduck crashes with the normal message from MacOS saying that the program has crashed. This seems to be connected with mouse events/interface. Clicking parts of the browser causes it to die with an error.

The example in the previous post is probably #2. Both seem to occur A LOT with recent versions of Cyberduck. I'm pretty sad about this because it's basically gotten to the point where it's unusable. It crashes via one of the two methods at least once per hour.

comment:7 Changed on Jun 20, 2008 at 7:50:36 PM by lsanwick@…

I'm having the exact same issues reported here, I can try and provide error logs if needed. This seriously needs to be fixed to make Cyberduck usable for me.

comment:8 Changed on Jun 24, 2008 at 10:32:44 PM by dkocher

  • Owner changed from 0039angelo to dkocher
  • Status changed from new to assigned

comment:9 Changed on Jun 30, 2008 at 7:07:31 PM by dkocher

Looks related to #2142.

comment:10 Changed on Jul 3, 2008 at 4:19:11 PM by anonymous

I too am having serious problems with cyberduck crashing and not leaving any error messages. I use sftp mainly and switch between multiple servers often. Usually, it crashes when I switch back from using smultron to cyberduck, and it just disappears.

comment:11 Changed on Jul 21, 2008 at 3:24:10 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please give the latest nightly build from http://update.cyberduck.ch/nightly a try.

comment:12 Changed on Aug 1, 2008 at 7:56:26 AM by Mathieu

Same issue with Cyberduck 3.0.1 and nightly build 4146.

Note: See TracTickets for help on using tickets.
swiss made software